Last Comment Bug 701014 - Dismiss keyboard when scrolling through Awesomescreen results
: Dismiss keyboard when scrolling through Awesomescreen results
Status: VERIFIED FIXED
[VKB]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
P3 normal (vote)
: ---
Assigned To: Lucas Rocha (:lucasr)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 07:09 PST by Ian Barlow (:ibarlow)
Modified: 2016-07-29 14:20 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Dismiss SKB when scrolling results in AwesomeBar (4.67 KB, patch)
2011-11-16 08:02 PST, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Splinter Review

Description User image Ian Barlow (:ibarlow) 2011-11-09 07:09:13 PST
On XUL versions of mobile Firefox, you can dismiss the awesomescreen keyboard simply by beginning to scroll through your results list. 

Let's get this into our native UI as well.
Comment 1 User image Madhava Enros [:madhava] 2011-11-09 07:14:21 PST
Clearly, this should happen when you switch to Bookmarks or History, as well.
Comment 2 User image Lucas Rocha (:lucasr) 2011-11-16 08:02:58 PST
Created attachment 574898 [details] [diff] [review]
Dismiss SKB when scrolling results in AwesomeBar
Comment 3 User image Mark Finkle (:mfinkle) (use needinfo?) 2011-11-16 13:11:07 PST
Comment on attachment 574898 [details] [diff] [review]
Dismiss SKB when scrolling results in AwesomeBar

Just to re-confirm, Madhava wants this to fire on tap-down. The user shouldn't have to lift their finger.
Comment 4 User image Lucas Rocha (:lucasr) 2011-11-17 02:28:06 PST
(In reply to Mark Finkle (:mfinkle) from comment #3)
> Comment on attachment 574898 [details] [diff] [review] [diff] [details] [review]
> Dismiss SKB when scrolling results in AwesomeBar
> 
> Just to re-confirm, Madhava wants this to fire on tap-down. The user
> shouldn't have to lift their finger.

Yes, that's how it works with the patch.
Comment 5 User image Lucas Rocha (:lucasr) 2011-11-17 02:51:36 PST
Pushed: http://hg.mozilla.org/projects/birch/rev/003af355d4d2
Comment 6 User image Aaron Train [:aaronmt] 2011-11-17 06:30:21 PST
Samsung Nexus S (Android 2.3.6)
20111117040329
http://hg.mozilla.org/projects/birch/rev/d7fa4814218d

Note You need to log in before you can comment on or make changes to this bug.